Subject: Re: bug#917: Too heavy consing in MULE file saving?

From: "Richard M. Stallman" <[email-masked]>
Date: Mon, 08 Sep 2008 05:22:27 -0400

I'm not surprised: saving a file visited non-literally causes its
    contents to be encoded, which generally means we wipe out the text and
    replace it with its encoded representation.  That this conses _a_lot_,
    especially for large files, does not come as a surprise to me.

It seems to be a recent change, so I think it is worth investigating
whether something just increased the amount of consing done by encoding.
It would be worth optimizing this.